# Class AbstractSchemaReader

java.lang.Object
com.thaiopensource.validate.AbstractSchemaReader

All Implemented Interfaces:
  `SchemaReader`

Direct Known Subclasses:
  `AutoSchemaReader`, `com.thaiopensource.validate.rng.impl.SchemaReaderImpl`

public abstract class AbstractSchemaReader extends Object implements SchemaReader

- ## Field Summary

  ### Fields inherited from interface com.thaiopensource.validate.SchemaReader

  `BASE_URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSchemaReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Schema`
  `createSchema(InputSource in, PropertyMap properties)`
  Creates a `Schema` by reading it from an `InputSource`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.thaiopensource.validate.SchemaReader

  `createSchema, getOption`

- ## Constructor Details

  - ### AbstractSchemaReader

    public AbstractSchemaReader()

- ## Method Details

  - ### createSchema

    public Schema createSchema(InputSource in, PropertyMap properties) throws IOException, SAXException, IncorrectSchemaException
    Description copied from interface: `SchemaReader`
    Creates a `Schema` by reading it from an `InputSource`.
    Specified by:
      `createSchema` in interface `SchemaReader`
    Parameters:
      `in` -
      `properties` - a `PropertyMap` to control the schema creation; must not be `null` @return a newly created `Schema`, never `null`
    Throws:
      `IOException` - if an I/O error occurs
      `SAXException`
      `IncorrectSchemaException`
    See Also:
      - `ValidateProperty`